<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="viewModel"
            type="com.example.todolist.ui.main.MainViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">



        <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="150dp"
            android:orientation="vertical">

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="20dp"
                android:gravity="center"
                android:hint="USERNAME"
                android:padding="10dp"
                android:text="@={viewModel.username}" />

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="20dp"
                android:gravity="center"
                android:hint="PASSWORD"
                android:padding="10dp"
                android:text="@={viewModel.password}" />

            <Button
                android:id="@+id/loginBTN"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="90dp"
                android:onClick="@{()->viewModel.actionOnClick()}"
                android:text="LOGIN" />

        </LinearLayout>

    </LinearLayout>

</layout>